Bug 181961 - [MAINTAINER UPDATE] devel/tortoisehg2: Update 2.8.2 -> 2.9.1
Summary: [MAINTAINER UPDATE] devel/tortoisehg2: Update 2.8.2 -> 2.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-09 10:10 UTC by Gleb Popov
Modified: 2013-09-10 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (8.37 KB, patch)
2013-09-09 10:10 UTC, Gleb Popov
no flags Details | Diff
tortoisehg2.patch (8.45 KB, patch)
2013-09-10 17:26 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2013-09-09 10:10:00 UTC

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-09-09 23:03:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski 2013-09-10 17:11:00 UTC
Hi,

It doesn't seem to build correctly:
https://redports.org/~wg/20130910142601-48465-143835/tortoisehg-2.9.1.log

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 dfilter service freebsd_committer 2013-09-10 18:02:52 UTC
Author: wg
Date: Tue Sep 10 17:02:43 2013
New Revision: 326919
URL: http://svnweb.freebsd.org/changeset/ports/326919

Log:
  devel/tortoisehg2: update to 2.9.1
  
  - Update to 2.9.1 [1]
  - Use options helpers
  - Define NLS option
  
  PR:		ports/181961
  Submitted by:	arrowdodger <6yearold gmail.com> (maintainer)

Added:
  head/devel/tortoisehg2/files/patch-contrib-thg.desktop   (contents, props changed)
Deleted:
  head/devel/tortoisehg2/files/patch-contrib-tortoisehg.desktop
Modified:
  head/devel/tortoisehg2/Makefile
  head/devel/tortoisehg2/distinfo
  head/devel/tortoisehg2/files/patch-setup.py
  head/devel/tortoisehg2/pkg-plist

Modified: head/devel/tortoisehg2/Makefile
==============================================================================
--- head/devel/tortoisehg2/Makefile	Tue Sep 10 16:48:41 2013	(r326918)
+++ head/devel/tortoisehg2/Makefile	Tue Sep 10 17:02:43 2013	(r326919)
@@ -1,29 +1,32 @@
 # $FreeBSD$
 
 PORTNAME=	tortoisehg
-PORTVERSION=	2.8.2
+PORTVERSION=	2.9.1
 CATEGORIES=	devel
 MASTER_SITES=	http://cdn.bitbucket.org/tortoisehg/targz/downloads/
 
 MAINTAINER=	6yearold@gmail.com
 COMMENT=	THg script from TortoiseHG
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}qt4-core>=4.8.3:${PORTSDIR}/devel/py-qt4-core \
-		${PYTHON_PKGNAMEPREFIX}qt4-qscintilla2>=4.8.3:${PORTSDIR}/devel/py-qt4-qscintilla2 \
-		${PYTHON_PKGNAMEPREFIX}qt4-network>=4.8.3:${PORTSDIR}/net/py-qt4-network \
-		${PYTHON_PKGNAMEPREFIX}qt4-gui>=4.8.3:${PORTSDIR}/x11-toolkits/py-qt4-gui \
-		${PYTHON_PKGNAMEPREFIX}qt4-xml>=4.8.3:${PORTSDIR}/textproc/py-qt4-xml
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}qt4-core>=4.8.3:${PORTSDIR}/devel/py-qt4-core \
-		${PYTHON_PKGNAMEPREFIX}qt4-qscintilla2>=4.8.3:${PORTSDIR}/devel/py-qt4-qscintilla2 \
-		${PYTHON_PKGNAMEPREFIX}qt4-network>=4.8.3:${PORTSDIR}/net/py-qt4-network \
-		${PYTHON_PKGNAMEPREFIX}qt4-gui>=4.8.3:${PORTSDIR}/x11-toolkits/py-qt4-gui \
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}qt4-core>=4.10.2:${PORTSDIR}/devel/py-qt4-core \
+		${PYTHON_PKGNAMEPREFIX}qt4-qscintilla2>=2.7.2:${PORTSDIR}/devel/py-qt4-qscintilla2 \
+		${PYTHON_PKGNAMEPREFIX}qt4-network>=4.10.2:${PORTSDIR}/net/py-qt4-network \
+		${PYTHON_PKGNAMEPREFIX}qt4-gui>=4.10.2:${PORTSDIR}/x11-toolkits/py-qt4-gui \
+		${PYTHON_PKGNAMEPREFIX}qt4-xml>=4.20.2:${PORTSDIR}/textproc/py-qt4-xml
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}qt4-core>=4.10.2:${PORTSDIR}/devel/py-qt4-core \
+		${PYTHON_PKGNAMEPREFIX}qt4-qscintilla2>=2.7.2:${PORTSDIR}/devel/py-qt4-qscintilla2 \
+		${PYTHON_PKGNAMEPREFIX}qt4-network>=4.10.2:${PORTSDIR}/net/py-qt4-network \
+		${PYTHON_PKGNAMEPREFIX}qt4-gui>=4.10.2:${PORTSDIR}/x11-toolkits/py-qt4-gui \
 		hg:${PORTSDIR}/devel/mercurial \
-		${PYTHON_PKGNAMEPREFIX}iniparse>0:${PORTSDIR}/devel/py-iniparse \
+		${PYTHON_PKGNAMEPREFIX}iniparse>=0.4:${PORTSDIR}/devel/py-iniparse \
 		pygmentize:${PORTSDIR}/textproc/py-pygments
 
-OPTIONS_DEFINE=	NAUTILUS
+OPTIONS_DEFINE=	NAUTILUS NLS
+
 NAUTILUS_DESC=	Install TortoiseHG Nautilus extension
 
+OPTIONS_SUB=	yes
+
 INSTALLS_ICONS=	yes
 
 USE_PYTHON=	yes
@@ -35,16 +38,7 @@ SUB_FILES=	pkg-message
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}
-PLIST_SUB+=	NLS=""
 USES+=		gettext
-.else
-PLIST_SUB+=	NLS="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MNAUTILUS}
-PLIST_SUB+=	NAUTILUS=""
-.else
-PLIST_SUB+=	NAUTILUS="@comment "
 .endif
 
 post-patch:

Modified: head/devel/tortoisehg2/distinfo
==============================================================================
--- head/devel/tortoisehg2/distinfo	Tue Sep 10 16:48:41 2013	(r326918)
+++ head/devel/tortoisehg2/distinfo	Tue Sep 10 17:02:43 2013	(r326919)
@@ -1,2 +1,2 @@
-SHA256 (tortoisehg-2.8.2.tar.gz) = 57fccb8cf5a6a44fc8e95cd5f3d139d11c01c7da3a07767acb2cd8655494329f
-SIZE (tortoisehg-2.8.2.tar.gz) = 9094811
+SHA256 (tortoisehg-2.9.1.tar.gz) = 5b1433df6129e0668cc945685b17d044210b4eb54f26aaa30c38cee600cc8e66
+SIZE (tortoisehg-2.9.1.tar.gz) = 8682337

Added: head/devel/tortoisehg2/files/patch-contrib-thg.desktop
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/tortoisehg2/files/patch-contrib-thg.desktop	Tue Sep 10 17:02:43 2013	(r326919)
@@ -0,0 +1,11 @@
+--- /dev/null	2013-09-09 09:16:06.000000000 +0400
++++ contrib/tortoisehg.desktop	2013-09-09 09:15:52.767575878 +0400
+@@ -0,0 +1,8 @@
++[Desktop Entry]
++Type=Application
++Name=TortoiseHg
++GenericName=Version Control GUI
++Comment=GUI application for using Mercurial
++Icon=%%PREFIX%%/share/pixmaps/tortoisehg/icons/thg_logo.ico
++Exec=thg --nofork
++Categories=Development;RevisionControl;

Modified: head/devel/tortoisehg2/files/patch-setup.py
==============================================================================
--- head/devel/tortoisehg2/files/patch-setup.py	Tue Sep 10 16:48:41 2013	(r326918)
+++ head/devel/tortoisehg2/files/patch-setup.py	Tue Sep 10 17:02:43 2013	(r326919)
@@ -1,6 +1,6 @@
---- setup_.py	2012-09-05 19:36:36.000000000 +0400
-+++ setup.py	2012-09-07 10:16:47.929179472 +0400
-@@ -280,7 +280,7 @@
+--- setup_.py	2013-09-06 04:45:26.000000000 +0400
++++ setup.py	2013-09-09 09:31:13.148575638 +0400
+@@ -362,7 +362,7 @@
  class build(_build_orig):
      sub_commands = [
          ('build_qt', None),
@@ -9,16 +9,16 @@
          ] + _build_orig.sub_commands
  
  class clean(_clean_orig):
-@@ -299,7 +299,7 @@
+@@ -381,7 +381,7 @@
          'build_mo': build_mo ,
          'clean': clean,
          'clean_local': clean_local,
 -        'update_pot': update_pot ,
 +%%NLS%%        'update_pot': update_pot ,
+         'import_po': import_po
      }
  
- def setup_windows(version):
-@@ -418,11 +418,11 @@
+@@ -501,11 +501,11 @@
      _data_files = [(os.path.join('share/pixmaps/tortoisehg', root),
          [os.path.join(root, file_) for file_ in files])
          for root, dirs, files in os.walk('icons')]

Modified: head/devel/tortoisehg2/pkg-plist
==============================================================================
--- head/devel/tortoisehg2/pkg-plist	Tue Sep 10 16:48:41 2013	(r326918)
+++ head/devel/tortoisehg2/pkg-plist	Tue Sep 10 17:02:43 2013	(r326919)
@@ -57,9 +57,6 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.pyo
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/dnd.py
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/dnd.pyc
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/dnd.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.pyo
@@ -198,6 +195,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qscilib.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qscilib.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qscilib.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qtapp.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qtapp.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qtapp.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qtlib.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qtlib.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/qtlib.pyo
@@ -273,6 +273,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/shelve.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/shelve.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/shelve.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/sign.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/sign.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/sign.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/status.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/status.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/status.pyo
@@ -336,6 +339,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/editor.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/editor.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/editor.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/util/gpg.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/util/gpg.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/util/gpg.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/hglib.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/hglib.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/hglib.pyo
@@ -348,6 +354,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/menuthg.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/menuthg.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/menuthg.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/util/obsoleteutil.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/util/obsoleteutil.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/util/obsoleteutil.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/patchctx.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/patchctx.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/util/patchctx.pyo
@@ -407,6 +416,7 @@ share/applications/tortoisehg.desktop
 %%NLS%%share/locale/uk/LC_MESSAGES/tortoisehg.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/tortoisehg.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/tortoisehg.mo
+share/pixmaps/tortoisehg/icons/16x16/apps/gnupg.png
 share/pixmaps/tortoisehg/icons/16x16/apps/reviewboard.png
 share/pixmaps/tortoisehg/icons/16x16/apps/kiln.png
 share/pixmaps/tortoisehg/icons/22x22/actions/window-close.png
@@ -415,6 +425,7 @@ share/pixmaps/tortoisehg/icons/24x24/act
 share/pixmaps/tortoisehg/icons/24x24/actions/hg-pull.png
 share/pixmaps/tortoisehg/icons/24x24/actions/hg-push.png
 share/pixmaps/tortoisehg/icons/32x32/actions/hg-bookmarks.png
+share/pixmaps/tortoisehg/icons/32x32/actions/hg-sign.png
 share/pixmaps/tortoisehg/icons/README.txt
 share/pixmaps/tortoisehg/icons/TortoiseMerge.ico
 share/pixmaps/tortoisehg/icons/branch.ico
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 William Grzybowski freebsd_committer 2013-09-10 18:02:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!